This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 547754 - [abrt] crash detected in blueman-1.21-2.fc12
[abrt] crash detected in blueman-1.21-2.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:828fbd57
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-15 11:01 EST by Ben Liblit
Modified: 2011-03-15 21:22 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 20:38:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (969 bytes, text/plain)
2009-12-15 11:01 EST, Ben Liblit
no flags Details

  None (edit)
Description Ben Liblit 2009-12-15 11:01:35 EST
abrt 1.0.0 detected a crash.

backtrace
-----
Summary: TB828fbd57 Functions.py:178:get_icon:AttributeError: 'NoneType' object has no attribute 'props'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/blueman/plugins/applet/StatusIcon.py", line 113, in on_status_icon_resized
    self.Applet.Plugins.RunEx("on_status_icon_pixbuf_ready", callback, self.pixbuf)
  File "/usr/bin/blueman-applet", line 278, in RunEx
    ret = getattr(inst, function)(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/blueman/plugins/applet/PowerManager.py", line 95, in on_status_icon_pixbuf_ready
    x = get_icon("blueman-x", x_size)
  File "/usr/lib/python2.6/site-packages/blueman/Functions.py", line 178, in get_icon
    if icon.props.height > size:
AttributeError: 'NoneType' object has no attribute 'props'

Local variables in innermost frame:
new_w: 0
name: blueman-x
ic: <gtk.IconTheme object at 0x861c48c (GtkIconTheme at 0x8418060)>
icon: None
fallback: gtk-missing-image
new_h: 0
size: 0

cmdline: /usr/bin/python /usr/bin/blueman-applet 
component: blueman
executable: /usr/bin/blueman-applet
kernel: 2.6.31.6-166.fc12.i686
package: blueman-1.21-2.fc12
uuid: 828fbd57
Comment 1 Ben Liblit 2009-12-15 11:01:37 EST
Created attachment 378539 [details]
File: backtrace
Comment 2 Marcin Labuda 2010-04-22 16:09:55 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Execute Bluetooth Manager
2. Find a device (in my case it was T-Mobile HTC phone)
3. Add Device
4. Pair
5. Click "Serial ports -> Serial port"
6. blueman will crash

Comment
-----
It looks that there are some icons missing that buleman requires.
Comment 3 Fabien Archambault 2010-07-27 03:20:15 EDT
Package: blueman-1.21-2.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start bluetooth on a laptop using the physic switch.
Comment 4 yohei2triton 2010-10-07 21:04:19 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.It crushed just after login.
2.
3.
Comment 5 Bug Zapper 2010-11-03 23:17:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Gregory Trivett 2010-11-28 19:43:11 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
just checking the status...
Comment 7 Деян 2010-11-29 14:18:46 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Happens on login
2.
3.
Comment 8 Bug Zapper 2010-12-03 20:38:03 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Jonathan Pritchard 2011-01-06 22:44:46 EST
Could the original reporter, or an admin, please change the status of this bug to present on Fedora 14 still please? Thank you.
Comment 10 Gregory Trivett 2011-01-21 20:38:19 EST
bug 671599 opened for fc14 problems
Comment 11 Brian Millett 2011-03-15 21:22:37 EDT
	CLOSED WONTFIX

Hello?!  This is for Fedora 15 alpha test and it is closed?

Note You need to log in before you can comment on or make changes to this bug.